'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createPackageMap = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _module = require('module');

var _module2 = _interopRequireDefault(_module);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var createPackageMap = exports.createPackageMap = function createPackageMap(packageName) {
  try {
    var module = new _module2.default();

    var mainFilePath = _module2.default._resolveFilename(packageName, _extends({}, module, { paths: _module2.default._nodeModulePaths(process.cwd())
    }));

    var mainFile = _fs2.default.readFileSync(mainFilePath, 'utf-8');

    return mainFile.match(/\.\/([^']+)/g).map(function (item) {
      return item.match(/\.\/([^']+)/)[1];
    }).reduce(function (acc, item) {
      acc[_path2.default.basename(item)] = item;

      return acc;
    }, {});
  } catch (e) {
    if (e.code === 'MODULE_NOT_FOUND') {
      console.warn(e.message);

      return {};
    }

    throw e;
  }
};